#!/bin/bash

function assert
{
  if [ $? != 0 ]
  then
    echo "Error during $1"
    exit 1
  fi
}

echo "Backup ActionFlow"
cd /opt/stackstorm
mkdir backup

echo "Create tar balls"
tar cvf backup/packs.tar packs
assert "creation of packs tar ball"
tar cvf backup/configs.tar configs
assert "creation of configs tar ball"

for i in st2_user st2_hostname rabbitmq_host ws_queue actions_queue rabbitmq_user
do
  echo "create file with $i"
  st2 key get $i -j | grep value | cut -d \" -f 4 > backup/$i.txt
  assert "reading key $i"
done

for i in st2_password rabbitmq_password
do
  echo "create file with $i"
  st2 key get $i -j --decrypt | grep value | cut -d \" -f 4 > backup/$i.txt
  assert "reading key $i"
done
