#!/bin/bash

source bash/version.sh
source site-options.conf
source bash/zookeeper.sh
source bash/functions.sh

#
# call script to install StackStorm
#
InstallStackStorm

#
# uncompress tar balls with packs and configs
#
cd /opt/stackstorm
tar xvf installer/newtarballs/packs.tar
assert "newtarballs/packs.tar"
tar xvf installer/newtarballs/configs.tar
assert "newtarballs/configs.tar"

#
# install RPMs
#
InstallRPMs

#
# encrypt db
#
EncryptDB

#
# set st2 keys
#
SetSt2Keys

#
# restart
#
st2ctl restart

#
# set environment variable
#
SetEnvironmentVariable

#
# install packs
#
for i in `cat /opt/stackstorm/installer/TextFiles/packs.txt`
do
  st2 run packs.setup_virtualenv packs=$i
done

#
# finish installer
#
FinishInstaller
