#!/bin/bash

source bash/version.sh
source bash/zookeeper.sh
source bash/functions.sh

#
# get environment variables
#
cd /opt/stackstorm

ACTIONFLOW_USER=`cat backup/st2_user.txt`
assert "get ACTIONFLOW_USER"
ACTIONFLOW_PASSWORD=`cat backup/st2_password.txt`
assert "get ACTIONFLOW_PASSWORD"
ST2_HOSTNAME=`cat backup/st2_hostname.txt`
assert "get ST2_HOSTNAME"
EVENTQ_HOST=`cat backup/rabbitmq_host.txt`
assert "get EVENTQ_HOST"
WORKFLOW_QUEUE=`cat backup/ws_queue.txt`
assert "get WORKFLOW_QUEUE"
ACTION_QUEUE=`cat backup/actions_queue.txt`
assert "get ACTION_QUEUE"
AMQP_USER=`cat backup/rabbitmq_user.txt`
assert "get AMQP_USER"
AMQP_PASSWORD=`cat backup/rabbitmq_password.txt`
assert "get AMQP_PASSWORD"

#
# call script to install StackStorm
#
InstallStackStorm

#
# uncompress tar balls with packs and configs
#
tar xvf backup/packs.tar
assert "backup/packs.tar"
tar xvf backup/configs.tar
assert "backup/configs.tar"

#
# install RPMs
#
InstallRPMs

#
# encrypt db
#
EncryptDB

#
# set st2 keys
#
SetSt2Keys

#
# restart
#
st2ctl restart

#
# set environment variable
#
SetEnvironmentVariable

#
# install packs
#
for i in `ls /opt/stackstorm/packs`
do
  st2 run packs.setup_virtualenv packs=$i
done

#
# finish installer
#
FinishInstaller
