#!/bin/bash

function MongodbCreateJsonFile
{
cat <<EOF > mongodb/MongodbCreateUser.js
db.createUser(
  {
    user: "$MONGODB_USER",
    pwd: "$MONGODB_PASSWORD",
    roles: [ { role: "dbOwner", db: "st2" } ]
  }
)

db.auth("$MONGODB_USER","$MONGODB_PASSWORD")
EOF
}

function MongodbCreateUser
{
  mongo st2 mongodb/MongodbCreateUser.js
}

function MongodbEnableSecurity
{
  ! grep -q security.authorization /etc/mongod.conf && echo -e "\nsecurity.authorization: enabled" >> /etc/mongod.conf
}

function MongodbAppendToSt2Conf
{
  ! grep -q "\[database\]" /etc/st2/st2.conf && echo -e "\n[database]\nhost = 127.0.0.1\nport = 27017\ndb_name = st2\nusername = $MONGODB_USER\npassword = $MONGODB_PASSWORD" >> /etc/st2/st2.conf
}

function MongodbRestart
{
  su - mongod "mongod --shutdown --dbpath /var/lib/mongo"
  su - mongod "mongod --auth --fork --logpath /var/lib/log --dbpath /var/lib/mongo"
  st2ctl restart
}
