#!/bin/bash

function PostgresCreateUser
{
cat <<EOF > /opt/stackstorm/security/postgres/File.sql
CREATE ROLE $POSTGRES_USER WITH SUPERUSER LOGIN PASSWORD '$POSTGRES_PASSWORD';
ALTER DATABASE mistral OWNER TO $POSTGRES_USER;
EOF
}

function PostgresRunCreateUser
{
  su - postgres -c "psql -f /opt/stackstorm/security/postgres/File.sql"
}

function PostgresReassign
{
cat <<EOF > /opt/stackstorm/security/postgres/File.sql
REASSIGN OWNED BY mistral TO $POSTGRES_USER;
EOF
}

function PostgresRunReassign
{
  su - postgres -c "psql -d mistral -f /opt/stackstorm/security/postgres/File.sql"
}

function PostgresUpdateMistralConf
{
  sed -i "s|connection = postgresql://mistral:StackStorm@localhost/mistral|connection = postgresql://$POSTGRES_USER:$POSTGRES_PASSWORD@localhost/mistral|" /etc/mistral/mistral.conf
}

function PostgresDeleteMistral
{
  su - postgres -c "psql -c 'DROP USER mistral;'"
}

function PostgresRestart
{
  systemctl restart postgresql
  systemctl restart mistral-api
  st2ctl restart
}
