#!/bin/bash

function RabbitmqCreateUser
{
  rabbitmqctl add_user $RABBITMQ_USER $RABBITMQ_PASSWORD
  rabbitmqctl set_user_tags $RABBITMQ_USER administrator
  rabbitmqctl set_permissions $RABBITMQ_USER ".*" ".*" ".*"
}

function RabbitmqUpdateSt2Conf
{
  sed -i "s|url = amqp://guest:guest@127.0.0.1:5672/|url = amqp://$RABBITMQ_USER:$RABBITMQ_PASSWORD@127.0.0.1:5672/|" /etc/st2/st2.conf
}

function RabbitmqUpdateMistralConf
{
 sed -i "s|transport_url = rabbit://guest:guest@127.0.0.1:5672|transport_url = rabbit://$RABBITMQ_USER:$RABBITMQ_PASSWORD@127.0.0.1:5672|" /etc/mistral/mistral.conf
}

function RabbitmqDeleteGuest
{
  rabbitmqctl delete_user guest
}

function RabbitmqRestart
{
  systemctl restart rabbitmq-server
  systemctl restart mistral-api
  st2ctl restart
}
